{
  "compilerOptions": {
    "forceConsistentCasingInFileNames": true,
    "strict": false,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "downlevelIteration": true,
    "importHelpers": true,
    "useDefineForClassFields": false,
    "module": "CommonJS",
    "declaration": true,
    "removeComments": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "target": "ES2022",
    "sourceMap": true,
    "outDir": "./dist",
    "baseUrl": "./",
    "incremental": true,
    "skipLibCheck": true,
    "types": ["jest", "node"],
    "moduleResolution": "Node",
    "allowSyntheticDefaultImports": true,
    "resolveJsonModule": true,
    "esModuleInterop": true,
    "lib": [
      "ES2022",
      "dom"
    ]
  },
  "ts-node": {
    "compilerOptions": {
      "module": "CommonJS",
      "target": "ES2022",
      "esModuleInterop": true,
      "moduleResolution": "node",
      "verbatimModuleSyntax": false
    }
  },
}
